/***************************************************************************
                          kwiconlistbox.h  -  description
                             -------------------
    begin                : ??? Dec 05 2007
    copyright            : (C) 2007 by Baryshev Dmitry
    email                : ksquirrel.iv@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWICONLISTBOX_H
#define KWICONLISTBOX_H

#include <klistbox.h>

/*
 *  Stolen from KSquirrel
 */

/* 
 *  KWIconListBox represents a listbox with fixed width.
 *
 *  KWIconListBox and KWIconListItem are used in KWOptions.
 */

class KWIconListBox : public KListBox
{
    public:
        KWIconListBox(QWidget * = 0, const char * = 0, WFlags = 0);

        void updateAndInstall(QObject *);

    private:
        void updateWidth();
        void invalidateHeight();
        void invalidateWidth();

    private:
        bool mHeightValid;
        bool mWidthValid;
};

#endif
