/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Втр Дек  4 20:35:42 UTC 2007
    copyright            : (C) 2007 by Krasu
    email                : ksquirrel.iv@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <cstdio>

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kuniqueapplication.h>

#include "kconnections.h"

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main(int argc, char *argv[])
{
    KAboutData aboutData("kconnections", "KConnections", VERSION, I18N_NOOP("Simple netstat wrapper"), KAboutData::License_GPL,
                            "(c) 2007, Dmitry Baryshev", 0, 0, "ksquirrel.iv@gmail.com");

    aboutData.addAuthor("Krasu", 0, "ksquirrel.iv@gmail.com");

    KCmdLineArgs::init(argc, argv, &aboutData);
    KCmdLineArgs::addCmdLineOptions(options);
    KUniqueApplication::addCmdLineOptions();

    if(!KUniqueApplication::start())
    {
        fprintf(stderr, "KConnections is already running!\n");
        exit(0);
    }

    KUniqueApplication a;

    KConnections *kc = new KConnections;

    a.setMainWidget(kc);

    kc->show();

    return a.exec();
}
